name: WordPress and MySQL with Persistent Volume on Kubernetes
services:
  wordpress-pv-1:
    name: wordpress-pv-1
    type: PersistentVolume
    apiVersion: v1
    model: kubernetes
    settings:
      spec:
        access Modes:
        - ReadWriteOnce
        capacity:
          storage: 20Gi
        gce Persistent Disk:
          fs Type: ext4
          pd Name: wordpress-1
    traits:
      meshmap:
        edges: []
        id: 45ced23a-1b17-4bac-857c-9a732e2fca34
        label: wordpress-pv-1
        meshmodel-metadata:
          genealogy: ""
          isCustomResource: false
          isNamespaced: false
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: cylinder
          styleOverrides: '{"height":32,"width":32,"pading":0,"background-clip":"none","background-image-containment":"over","border-opacity":0,"background-opacity":0,"bounds-expansion":20}'
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/persistentvolume-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/persistentvolume-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/color/persistentvolume-color.svg
        position:
          posX: 53
          posY: 1.5
        whiteboardData:
          style:
            z-index: 4
  wordpress-pv-2:
    name: wordpress-pv-2
    type: PersistentVolume
    apiVersion: v1
    model: kubernetes
    settings:
      spec:
        access Modes:
        - ReadWriteOnce
        capacity:
          storage: 20Gi
        gce Persistent Disk:
          fs Type: ext4
          pd Name: wordpress-2
    traits:
      meshmap:
        edges: []
        id: c57beb20-8be8-418c-abb7-02edd4b31770
        label: wordpress-pv-2
        meshmodel-metadata:
          genealogy: ""
          isCustomResource: false
          isNamespaced: false
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: cylinder
          styleOverrides: '{"height":32,"width":32,"pading":0,"background-clip":"none","background-image-containment":"over","border-opacity":0,"background-opacity":0,"bounds-expansion":20}'
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/persistentvolume-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/persistentvolume-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/color/persistentvolume-color.svg
        position:
          posX: -53
          posY: 1.5
        whiteboardData:
          style:
            z-index: 3
